#17886 new Bugs

DTS HD HR Error

Reported by: dilu Owned by: fritsch
Priority: 4 - Normal
Component: Audio playback (audio/video files) Version: 17.6 "Krypton" final
Severity: Normal Keywords:
Cc: FernetMenta Blocked By:
Blocking: Platform: Windows

Description

Hello together,

since a new update of my AV Reciever i am having trouble using movies with DTS HD High Resolution.

Thought it would be a general Problem of my AVR - but someone in a forum told me that there had be a change in the DTS License and on MPC HE it was able to fix with a new version of LAV Filters.

https://github.com/Nevcairiel/LAVFilters/issues/167

there you can read about the Problem.

When i am playing a DTS HD HR Movie my AVR show he gets DTS HD Master audio.

You are able to change the filter settings in Kodi, too?

When you need any information from me please tell me what you need.

Error appears in Kodi 17.6 & 18.

Kind regards

Change History (19)

comment:1 Changed at 2018-05-22T19:21:09+01:00 by fritsch

Known. Also the solution is known. Currently no one of the team has time for that - therefore we kindly ask you to help us implementing this feature.

comment:2 Changed at 2018-05-22T19:21:31+01:00 by fritsch

  • Cc FernetMenta added

comment:3 Changed at 2018-05-22T20:20:26+01:00 by dilu

As soon as someone from the team has time to implement the solution, I am happy to assist if I can help.

comment:4 Changed at 2018-07-17T13:02:01+01:00 by dilu

is there something new about this error?

comment:5 Changed at 2018-07-17T19:17:24+01:00 by fritsch

As you did not fix it yet -> no.

comment:6 Changed at 2018-07-20T10:58:06+01:00 by dilu

how should i fix it?

i am no programmer :(

When you tell me how i will try oO

comment:7 Changed at 2018-09-11T10:47:53+01:00 by dilu

is there any chance to get the error fixed for the final release of v18? Would like to use DTS X Movies which have a DTS HD HR Core :/

comment:8 follow-ups: Changed at 2018-09-11T11:07:17+01:00 by fritsch

No one of us is working on that issue, we consider it very low priority. I have some code to just fall back to the core of DTS, which we could put in directly before release.

It makes not much sense to implement two channel 192 khz DTS-HD HR IEC mode in kodi, we should rather directly transition to ffmpeg's spdif encoder.

comment:9 in reply to: ↑ 8 Changed at 2018-09-11T11:12:06+01:00 by FernetMenta

It makes not much sense to implement two channel 192 khz DTS-HD HR IEC mode in kodi, we should rather directly transition to ffmpeg's spdif encoder.

I don't think so

comment:10 in reply to: ↑ 8 Changed at 2018-09-11T11:18:14+01:00 by dilu

Replying to fritsch:

It makes not much sense to implement two channel 192 khz DTS-HD HR IEC mode in kodi, we should rather directly transition to ffmpeg's spdif encoder.

2 Channel? The Problem is any movie with DTS X based on DTS HD HR isnt working. To be exact no movie which is haveing DTS HD HR is working when i update my AVR to the latest software Version.

So not 2 Channel - for full channel layout.

comment:11 Changed at 2018-09-11T11:24:59+01:00 by fritsch

@dilu: you don't understand the issue. It's not about "channels" but about bandwidth. Those AVRs choke with DTS-HD-HR sent with 8 channels / 192 khz e.g. 768000 bandwidth. They work fine with 192000 bandwidth, which is what needs to be done.

Don't think of it as channels, but rather like: number_of_channels * samplerate.

See: https://github.com/Nevcairiel/LAVFilters/commit/3ec0521e8aa68047c08fa9d518327e6fd36c827d

Last edited at 2018-09-11T11:27:16+01:00 by fritsch (previous) (diff)

comment:12 Changed at 2018-09-11T11:32:28+01:00 by dilu

ok my miss understanding. As i understand on the Link in my first post - more peole with newer AVRs should have these problem.

When i would knew how to implent this i would do. But as i said i am no programer :/

comment:13 Changed at 2018-09-11T11:37:17+01:00 by fritsch

Yes, that obviously needs fixing. I don't have the time to do it, therefore I at least wanted that users get DTS-CORE without crackling which I like better than broken DTS-HD-HR for most users.

I summarized my arguments and the workaround (not a solution) here: https://github.com/xbmc/xbmc/pull/14420 - as a workaround will only increase technical debt I am with the maintainer (Fernetmenta) here, it needs a proper solution.

What I don't like though is, that the out of the box experience is broken for most users - here I would prefer DTS-CORE output.

Last edited at 2018-09-11T11:37:56+01:00 by fritsch (previous) (diff)

comment:14 Changed at 2018-09-11T11:39:04+01:00 by FernetMenta

Just disable passthrough as workaround. That is a single click on a remote and results in better quality than having only core

comment:15 Changed at 2018-09-11T11:42:55+01:00 by dilu

i downgraded my AVR again so at the moment DTS HD HR is working even if my AVR shows its HD Master.

Just with the newer version the sound is complete corrupted.

But with this software version other issues are there :/

Hope for the bugfix soon...

comment:16 Changed at 2018-09-11T11:44:42+01:00 by fritsch

My Denon got a SW update yesterday. Let's see if they fixed it.

And yes, we send DTS-HD-HR the same way we send DTS-HD-MA - I also miss my old Marantz AVR :P

comment:17 Changed at 2018-09-11T11:50:52+01:00 by dilu

please give information if denon fixed it.

Maybe Pioneer can do something then too. Beforce i found the info in my link i phoned much times with the support of Pioneer but they told me they dont are able to find the issue :/

comment:18 Changed at 2018-09-11T12:18:33+01:00 by fritsch

Nope. Still broken, sadly.

DTS-HD MA works fine. DTS-HD-HR produces no sound for me at all while the AVR states: DTS. I also think we were not entirely correct in the past by sending it as DTS-HD-MA which it is not.

comment:19 Changed at 2018-09-11T12:31:20+01:00 by dilu

:(

my older model AVR identifies DTS HD HR correctly when i am using Kodi. So dont think it was so deeply incorrect to send it as HD MA.

When i read right DTS has changed something in the Codec for using DTS X with HD HR Core and thats whats making the trouble.

Note: See TracTickets for help on using tickets.